/******************************************************************************
 Description : This program will read the pins on Port A and send the value to
               port B and C
             
 Date        : 09/07/2003
 Version     : 1.1
 Board       : MDE8255LPT-1
 Compiler    : VC++ 6.0
 Website     : www.MicroDigitalEd.com
 Email       : rmckinlay@microdigitaled.com
 OS          : Windows 9x

 Required files             location
-------------------------------------------------------------
 mdedriverdll_9x.h             in source file directory
 mdedriverdll_9x.lib           in source file directory
 mdedriverdll_9x.dll           in executable directory

*******************************************************************************/
#include <windows.h>                              // header for Sleep
#include <iostream.h>
#include <iomanip.h>
#include <conio.h>
#include "mdedriverdll_9x.h"                      // include header for the DLL

#define BaseAddress 0x378                         // Parallel Port Address
#define PortConfig 0x90                           // Configure word for the 8255

void main()
  {
  int ivalue;
                  
  cout << setiosflags(ios::unitbuf);
  cout << "\n\nPlease check ports for operation\n";
  cout << "\nPress anykey to exit\n";

  ivalue = 0x00;                                  // initial value
  MDEConfigPort(BaseAddress, PortConfig);         // send the control word

  do
    {

    ivalue = MDEInPA(BaseAddress);
    MDEOutPB(BaseAddress, ivalue);                // send the value
    MDEOutPC(BaseAddress, ivalue);                // send the value
    Sleep(100);                                   // delay

    } while (!kbhit());


  }

